Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#3792 closed defect (fixed)

[with spkg, positive review] fix Sage build when there is a broken systemwide freetype library

Reported by: certik Owned by: mabshoff
Priority: major Milestone: sage-3.1.2
Component: build Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description

The problem and fix is in this thread:

http://groups.google.com/group/sage-support/browse_thread/thread/d1c8996964802ab1

what remains to be done is to extract this fix, create a patch and new spkgs.

Change History (4)

comment:1 Changed 11 years ago by certik

Here are the fixed spkg:

http://sage.math.washington.edu/home/ondrej/spkg/matplotlib-0.91.1.p5.spkg http://sage.math.washington.edu/home/ondrej/spkg/gd-2.0.33.p5.spkg

Please don't just copy them, you need to extract it and copy the sage-install script. With matplotlib, that's all that is needed, with gd, you need to get a new gd-2.0.35 from:

http://www.libgd.org/releases/

and copy it to the src.

comment:2 Changed 11 years ago by mabshoff

  • Summary changed from fix Sage build when there is a broken systemwide freetype library to [with spkg, positive review] fix Sage build when there is a broken systemwide freetype library

Review:

  • matplotlib-0.91.1.p5.spkg: this is the right fix and I will forward port it to the matplotlib-0.98.spkg.
  • gd-2.0.33.p5.spkg: this is also the correct fix and I will port it to the current gd-2.0.35.spkg

Aside from that everything else for a properly upgraded spkg is wrong, but I guess since nobody ever taught you you did not know :)

Cheers,

Michael

comment:3 Changed 11 years ago by mabshoff

  • Resolution set to fixed
  • Status changed from new to closed

Merged in Sage 3.1.2.alpha1

comment:4 Changed 11 years ago by certik

Yes, I know, it was a quick hack to get things working, but just to be sure you don't just copy the spkg, I wrote literally, please don't copy it, extract it. :)

Thanks Michael!

Note: See TracTickets for help on using tickets.